import { OpenApiBuilder } from 'openapi3-ts';
import { Routing } from './routing';
interface GenerationParams {
    title: string;
    version: string;
    serverUrl: string;
    routing: Routing;
    successfulResponseDescription?: string;
    errorResponseDescription?: string;
}
export declare class OpenAPI extends OpenApiBuilder {
    constructor({ routing, title, version, serverUrl, successfulResponseDescription, errorResponseDescription }: GenerationParams);
}
export {};
