/// <reference types="node" />
import { Server } from 'http';
import { ConfigType } from './config-type';
import { Routing } from './routing';
declare type ConfigWithServer = Exclude<ConfigType, {
    app: any;
}>;
declare type ConfigWithApp = Exclude<ConfigType, {
    server: any;
}>;
export declare function attachRouting(config: ConfigWithApp, routing: Routing): void;
export declare function createServer(config: ConfigWithServer, routing: Routing): Server;
export {};
